
function transformName(name){
    if(!name) return ''
    return name.replace(/[A-Z]/g,(ch,index)=>{
        if(index === 0) return ch.toLowerCase()
        return '-'+ch.toLowerCase()
    })
}


export default (babel)=>{
  const {types:t} = babel
  
  return {
    visitor: {
      ImportDeclaration(path,{opts}){
        const{node} = path
        let{cssName,jsName,dir} = opts
        cssName = cssName || '@alife/next'
        jsName = jsName || '@alife/next'
        dir = dir || 'lib'
        if (!node) return
        if(node.source.value === jsName){
    		const jsBase =  `${jsName}/${dir}/`
    		,cssBase =  `${cssName}/${dir}/`
	        node.specifiers.forEach((specifier)=>{
	        	if(t.isImportSpecifier(specifier)){
	        		let comName = specifier.imported.name,
	        		lcomName = transformName(comName),
        			libName = jsBase+lcomName,
        			libCssName = cssBase+lcomName+'/index.scss'
        			path.insertAfter(
    					t.importDeclaration(
    						[t.ImportDefaultSpecifier(
    							t.identifier(comName),
    						)],
    						t.stringLiteral(libName)
    					)
    				)	
    				path.insertAfter(
    					t.importDeclaration(
    						[t.ImportDefaultSpecifier(
    							t.identifier(''),
    						)],
    						t.stringLiteral(libCssName)
    					) 
    				)
        		}
	        })
	        path.remove() 
        }

      }
    }
  }
}